/* eslint-disable no-console */
class Appboy {
  static registerPushMessages() {
    if (!window.analytics) {
      return console.warn(
        'window.analytics is not defined, it may be blocked by your browser.'
      )
    }

    window.analytics.ready(() => {
      if (!window.appboy) {
        return console.warn(
          'window.appboy is not defined, it may be blocked by your browser.'
        )
      }

      if (window.appboy.isPushSupported()) {
        window.appboy.registerAppboyPushMessages()
      }
    })
  }
}

export default Appboy
